/*
=================
+++   FONTS   +++
=================
*/
@font-face {
    font-family: "Albertus MT";
    src: url('/resources/fonts/Albertus MT.ttf') format("truetype");
    font-style: normal;
}
@font-face {
    font-family: "VCR OSD Mono";
    src: url('/resources/fonts/VCR OSD MONO.ttf') format("truetype");
}
@font-face {
    font-family: "JetBrains Mono";
    src: url("/resources/fonts/JetBrainsMono.ttf"), format('truetype');
    font-style: normal;
    font-weight: 300 800;
}

@font-face {
    font-family: "JetBrains Mono";
    src: url("/resources/fonts/JetBrainsMono-Italic.ttf"), format('truetype');
    font-style: italic;
    font-weight: 300 800;
}

/*
===============================================================
+++ QUIVER IN FEAR AT THE SIGHT OF MY MONOLITHIC STYLESHEET +++
===============================================================
*/

:root {
    --foreground: #ffffff;
    --foreground-light: #ffffff;
    --foreground-lighter: #ffffff;
    --foreground-alt: #ffffff;
    --background: #000000;
    --background-dark: #000000;
    --background-light: #000000;
    --background-lighter: #000000;
    --anchor: #3f8aff;
    --background-image: url("/resources/images/dragons_clouds_seamless.jpg");
    --main-font: 'Albertus MT', serif;
    --bitmap-font: 'VCR OSD Mono', sans-serif;
    --mono-font: 'JetBrains Mono', monospace;
}

/* Pixel font */
.pixel {
    font-family: var(--bitmap-font);
}

body {
    padding: 0;
    margin: 0;
    background: var(--background-image);
    font-size: 1em;
}

main {
    margin: 1em 16em;
}

@media (max-width: 1500px) {
    main {
        margin: 1em 12em;
    }
}

@media (max-width: 1200px) {
    main {
        margin: 1em 8em;
    }
}

@media (max-width: 900px) {
    main {
        margin: 1em 4em;
    }
}

@media (max-width: 600px) {
    main {
        margin: 1em;
    }
}

main > * {
    background: var(--background);
    color: var(--foreground);
    padding: 1em;
    border-radius: 5px;
    margin: 1em 0;
}

code, pre {
    background: var(--background-lighter);
    color: var(--foreground-alt);
    font-family: var(--mono-font);
    padding: 0 0.25em;
}

pre {
    padding: 0.25em;
    white-space: pre-wrap;
}

a, a:hover, a:visited {
    color: var(--anchor);
    text-decoration: underline;
}

a:hover {
    font-style: italic;
}

.focus-only:not(:focus) {
	clip-path: inset(50%);
	white-space: nowrap;
	border-width: 0;
	width: 1px;
	height: 1px;
	margin: -1px;
	padding: 0;
	position: absolute;
	overflow: hidden;
}

/*
==================
+++   HEADER   +++
==================
*/
header {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 200px;
    background-color: var(--background);
    color: var(--foreground);
    font-family: var(--bitmap-font), var(--main-font), "Helvetica";
}

header a, header a:visited, header a:hover {
    color: var(--foreground);
    font-style: normal;
    text-decoration: none;
}

header > #home {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 25px;
}

header > #home:hover {
    background-color: var(--background-lighter);
}

header > #home > img {
    height: 150px;
}

header > #home > span {
    font-size: 2em;
    margin: 0 1em;
}

header > nav {
    margin-left: auto;
    margin-right: 25px;
    height: 100%;
    display: none;
}

header > nav > ul {
    margin: 0;
    padding: 0;
    height: 100%;
    background: transparent;
}

header > nav > ul > li {
    display: inline-block;
    border-radius: 0;
    margin: 0;
    padding: 0;
    font-size: 4em;
    height: 100%;
    box-sizing: border-box;
    background: transparent;
    
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

header > nav > ul > li > details > summary {
    height: 100%;
    align-content: center;
    padding: 0 0.5em;
}

header > nav > ul > li > details {
    height: 100%;
    align-content: center;
}

header > nav div a, header > nav div a:visited, header > nav div a:hover,
#collapsedNav > nav a, #collapsedNav > nav a:visited, #collapsedNav > nav a:hover {
    color: var(--anchor);
}

header > nav div a:hover, #collapsedNav > nav a:hover {
    text-decoration: underline;
}

header > nav > ul > li > details > summary:hover {
    background-color: var(--background-lighter);
}

header > nav details summary::marker {
    content: "";
}

header > nav div {
    position: absolute;
    right: 0;
    
    background: var(--background);
    border: 3px solid var(--foreground);
    padding: 0.2em;
    font-size: 0.75em;
}

header > nav div ul {
    list-style: ">";
}

#collapsedNav {
    display: block;
    margin-left: auto;
    margin-right: 2em;
    
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#collapsedNav > summary {
    font-size: 4em;
}

#collapsedNav > summary::marker {
    content: "";
}

#collapsedNav > nav {
    position: absolute;
    top: 0;
    right: 2em;
    margin: 1em;
    width: 10em;
    padding-left: 0.5em;
    font-size: 2em;
    border: 3px solid var(--foreground);
    background: var(--background);
    z-index: 2;
}

#collapsedNav > nav > ul {
    margin: 0;
    padding: 0;
    height: 100%;
    list-style: none;
}

#collapsedNav > nav > ul > li > a {
    display: inline-block;
    align-content: center;
    padding: 0.5em;
}

#collapsedNav > nav > ul > li:hover {
    background-color: var(--background-lighter);
}

#collapsedNav > nav > ul details ul {
    list-style: none;
}

@media (min-width: 1500px) {
    header > nav {
        display: block;
    }
    
    #collapsedNav {
        display: none;
    }
}

@media (max-width: 650px) {
    #home > span {
        display: none;
    }
}

/*
=============================================================
+++ Old NoJS tabs implementation using <details> elements +++
=============================================================
*/

/* No bullet points, flex to horizontal, and go relative for the div positioning */
.dTabs {
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 0;
}

/* Hide disclosure icons */
.dTabs > li > details > summary::marker {
    content: "";
}

/* Hide divs, position in the right spot */
.dTabs > li > div {
    display: none;
    position: absolute;
    left: -1em;
    top: 100%;
    margin-top: 3em;
    width: 100%;
    padding: 1em;
    border-radius: 5px;
    background-color: var(--background);
}

/* Show div when its <details> is open */
.dTabs > li > details[open] + div {
    display: block;
}

/* Style the <summary> to look like my buttons */
.dTabs > li > details > summary {
    font-family: var(--bitmap-font);
    font-size: 2em;
    background-color: var(--foreground);
    border-radius: 5px;
    box-shadow: #e77395 5px 5px 0px 4px;
    padding: 15px;
    box-sizing: border-box;
    width: 10em;
    height: 3em;
    color: var(--background);
    border: none;
    text-align: center;
    align-content: center;
    border: solid 5px #31010f;
    margin: 0 0.5em;
}

.dTabs > li > details > summary:hover {
    background-color: #e209d8;
    box-shadow: #ff60cd 5px 5px 0px 4px;
}

.dTabs > li > details[open] > summary {
    background-color: #9807b5;
    box-shadow: #ff60e7 5px 5px 0px 4px;
}

/* For vertical tabs, position divs according to main content div */
div:has(.vTabs) {
    position: relative;
    background: transparent;
}

/* Vertical tabs go to column, and float over on the right */
.dTabs.vTabs {
    flex-direction: column;
    margin-top: 0;
    margin-left: auto;
    width: fit-content;
    position: static;
    background-color: var(--background);
    border-radius: 5px;
    padding: 10px 10px 20px 5px;
}

/* nice bit of spacing for the tabs */
.dTabs.vTabs > li {
    margin: 0.5em 0;
}

/* Position the vertical tab divs properly */
.dTabs.vTabs > li > div {
    width: calc(100% - 30rem);
    margin-top: 0;
    top: 1em;
    left: 0;
}